/*
 * Copyright © 2019, SAS Institute Inc., Cary, NC, USA.  All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
'use strict';
import appServer from './appServer';
import proxyServer from './proxyServer';

function server (userRouterTable, asset, rootHandler) {
	console.log(appServer);
	if (process.env.REVERSEPROXY === 'YES') {
		proxyServer (userRouterTable, asset, rootHandler);
    } else {
        appServer (userRouterTable, asset, rootHandler);
	}
}
export default server;
